
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>10、Python与设计模式--享元模式 / iVAN</title>

    <meta name="description" content="10、Python与设计模式--享元模式 一.网上咖啡选购平台 假设有一个网上咖啡选购平台,客户可以在该平台上下订单订购咖啡,平台会根据用户位置进行线下配送.假设其咖啡对象构造如下: class Coffee: name = '' price =0 def __init__(self,name): self.name = name self.price = len(name)#在实际业务中,咖啡价格应该是由配置表进行配置,或者调用接口获取等方式得到,此处为说明享元模式,将咖啡价格定为名称长度,只是一种简化 def show(self):">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">10、Python与设计模式--享元模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>一、网上咖啡选购平台</h1>
<p>假设有一个网上咖啡选购平台，客户可以在该平台上下订单订购咖啡，平台会根据用户位置进行线下配送。假设其咖啡对象构造如下：</p>
<pre><code>class Coffee:
    name = ''
    price =0
    def __init__(self,name):
        self.name = name
        self.price = len(name)#在实际业务中，咖啡价格应该是由配置表进行配置，或者调用接口获取等方式得到，此处为说明享元模式，将咖啡价格定为名称长度，只是一种简化
    def show(self):
        print "Coffee Name:%s Price:%s"%(self.name,self.price)
</code></pre>
<p>其对应的顾客类如下：</p>
<pre><code>class Customer:
    name=""
    def __init__(self,name):
        self.name=name
    def order(self,coffee_name):
        print "%s ordered a cup of coffee:%s"%(self.name,coffee_name)
        return Coffee(coffee_name)
</code></pre>
<p>按照一般的处理流程，用户在网上预订咖啡，其代表用户的Customer类中生成一个Coffee类，直到交易流程结束。整个流程是没有问题的。如果，随着网站用户越来越多，单位时间内购买咖啡的用户也越来越多，并发量越来越大，对系统资源的消耗也会越来越大，极端情况下，会造成宕机等严重后果。此时，高效利用资源，就显得非常重要了。<br />
简单分析下业务流程，高并发下用户数量增加，而该模型下，每个用户点一杯咖啡，就会产生一个咖啡实例，如果一种咖啡在该时间内被很多用户点过，那么就会产生很多同样咖啡的实例。避免重复实例的出现，是节约系统资源的一个突破口。类似于单例模式，我们这里在咖啡实例化前，增加一个控制实例化的类：咖啡工厂。</p>
<pre><code>class CoffeeFactory():
    coffee_dict = {}
    def getCoffee(self, name):
        if self.coffee_dict.has_key(name) == False:
            self.coffee_dict[name] = Coffee(name)
        return self.coffee_dict[name]
    def getCoffeeCount(self):
        return len(self.coffee_dict)
</code></pre>
<p>咖啡工厂中，getCoffeeCount直接返回当前实例个数。Customer类可以重写下，如下：</p>
<pre><code>class Customer:
    coffee_factory=""
    name=""
    def __init__(self,name,coffee_factory):
        self.name=name
        self.coffee_factory=coffee_factory
    def order(self,coffee_name):
        print "%s ordered a cup of coffee:%s"%(self.name,coffee_name)
        return self.coffee_factory.getCoffee(coffee_name)
</code></pre>
<p>假设业务中短时间内有多人订了咖啡，业务模拟如下：</p>
<pre><code>if __name__=="__main__":
    coffee_factory=CoffeeFactory()
    customer_1=Customer("A Client",coffee_factory)
    customer_2=Customer("B Client",coffee_factory)
    customer_3=Customer("C Client",coffee_factory)
    c1_capp=customer_1.order("cappuccino")
    c1_capp.show()
    c2_mocha=customer_2.order("mocha")
    c2_mocha.show()
    c3_capp=customer_3.order("cappuccino")
    c3_capp.show()
    print "Num of Coffee Instance:%s"%coffee_factory.getCoffeeCount()
</code></pre>
<p>打印如下：<br />
A Client ordered a cup of coffee:cappuccino<br />
Coffee Name:cappuccino Price:10<br />
B Client ordered a cup of coffee:mocha<br />
Coffee Name:mocha Price:5<br />
C Client ordered a cup of coffee:cappuccino<br />
Coffee Name:cappuccino Price:10<br />
Num of Coffee Instance:2<br />
根据结果可以得知，该模式下三个用户点了两种咖啡，最终的咖啡实例为2，而不是3。</p>
<h1>二、享元模式</h1>
<p>享元模式定义如下：使用共享对象支持大量细粒度对象。大量细粒度的对象的支持共享，可能会涉及这些对象的两类信息：内部状态信息和外部状态信息。内部状态信息就是可共享出来的信息，它们存储在享元对象内部，不会随着特定环境的改变而改变；外部状态信息就不可共享的信息了。享元模式中只包含内部状态信息，而不应该包含外部状态信息。这点在设计业务架构时，应该有所考虑。<br /><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/25842cf9bc6b7e2de10c441028f74b2d.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS8yNTg0MmNmOWJjNmI3ZTJkZTEwYzQ0MTAyOGY3NGIyZC5wbmc=.jpg"></a></p>
<h1>三、享元模式的优点和使用场景</h1>
<p>优点：<br />
1、减少重复对象，大大节约了系统资源。<br />
使用场景：<br />
1、系统中存在大量的相似对象时，可以选择享元模式提高资源利用率。咖啡订购平台比较小，若假设一个电商平台，每个买家和卖家建立起买卖关系后，买家对象和卖家对象都是占用资源的。如果一个卖家同时与多个买家建立起买卖关系呢？此时享元模式的优势就体现出来了；<br />
2、需要缓冲池的场景中，可以使用享元模式。如进程池，线程池等技术，就可以使用享元模式（事实上，很多的池技术中已经使得了享元模式）。</p>
<h1>四、享元模式的缺点</h1>
<p>1、享元模式虽然节约了系统资源，但同时也提高了系统的复杂性，尤其当遇到外部状态和内部状态混在一起时，需要先将其进行分离，才可以使用享元模式。否则，会引起逻辑混乱或业务风险；<br />
2、享元模式中需要额外注意线程安全问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 23:32:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e7%94%b5%e5%95%86/" title="电商">电商</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>10、Python与设计模式--享元模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9lL8b.html" rel="bookmark">&period;NET设计模式-享元模式（Flyweight Pattern）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				享元模式(Flyweight Pattern) --.NET设计模式系列之十三 Terrylee,2006年3月 摘要:面向对象的思想很好地解决了抽象性的问题,一般也不会出现性能上的问题.但是在某些情况下,对象的数量可能会太多,从而导致了运行时的代价.那么我们如何去避免大量细粒度的对象,同时又不影响客户程序使用面向对象的方式进行操作? 本文试图通过一个简单的字符处理的例子,运用重构的手段,一步步带你走进Flyweight模式,在这个过程中我们一同思考.探索.权衡,通过比较而得出好的实现方式,而不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Yonqb.html" rel="bookmark">PHP设计模式&mdash;&mdash;享元模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				声明:本系列博客参考资料&lt;大话设计模式&gt;,作者程杰.         享元模式使用共享物件,用来尽可能减少内存使用量以及分享资讯给尽可能多的相似物件:它适合用于只是因重复而导致使用无法令人接受的大量内存的大量物件.通常物件中的部分状态是可以分享.常见做法是把它们放在外部数据结构,当需要使用时再将它们传递给享元.               UML类图:                    角色分析:           享元工厂角色(FWFactory):创建并管理BlogModel对象.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M062BAz.html" rel="bookmark">设计模式之禅之设计模式-享元模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:享元模式定义        ---&gt;享元模式(Flyweight Pattern)是池技术的重要实现方式        ---&gt;使用共享对象可有效地支持大量的细粒度的对象        ---&gt;要求细粒度对象,那么不可避免地使得对象数量多且性质相近,那我们就将些对象的信息分为两个部分:内部状态(intrinsic)与外部状态(extrinsic).                ● 内部状态                        内部状态是对象可共享出来的信息,存储在享元对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3onamb.html" rel="bookmark">C&plus;&plus;设计模式---享元模式----浪费可耻&comma;节俭光荣</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 一个软件系统在运行时产生的对象数量太多,将导致运行代价过高,带来系统性能下降等问题. 想想我们编辑文档用的word,文档里文字很多都是重复的,我们不可能为每一个出现的汉字都创建独立的空间,这样代价太大,那么我们如何去避免系统中出现大量相同或相似的对象,同时又不影响客户端程序通过面向对象的方式对这些对象进行操作? 享元模式正为解决这一类问题而诞生.享元模式通过共享技术实现相同或相似对象的重用,在逻辑上每一个出现的字符都有一个对象与之对应,然而在物理上它们却共享同一个享元对象,这个对象可以出现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7d2vM.html" rel="bookmark">跟屌丝大哥学习设计模式--享元模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				四.举例 这里就以去餐馆吃饭为例详细的说明下享元模式的使用方式.去菜馆点菜吃饭的过程大家一定都是轻车熟路了,这里就不赘述.在例子中我使用了一个list来存放外蕴状态和内蕴状态的对应关系,而且提供了查询每个客人点菜情况的方法.内蕴状态在这里代表了菜肴的种类,而外蕴状态就是每盘菜肴的点菜人.  A 让我们先来看看单纯享元模式的实现吧.     先看下抽象享元角色的定义:GoF对享元模式的描述是:运用共享技术有效地支持大量细粒度的对象. Flyweight模式是构造型模式之一,它通过与其他类似对象共享			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkRrOM.html" rel="bookmark">C&plus;&plus;设计模式编程之Flyweight享元模式结构详解&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由遇到的问题引出享元模式: 在面向对象系统的设计何实现中,创建对象是最为常见的操作.这里面就有一个问题:如果一个应用程序使用了太多的对象,就会造成很大的存储开销.特别是对于大量轻量级(细粒度)的对象,比如在文档编辑器的设计过程中,我们如果为没有字母创建一个对象的话,系统可能会因为大量的对象而造成存储开销的浪费.例如一个字母&quot;a&quot;在文档中出现了100000 次,而实际上我们可以让这一万个字母&quot;a&quot;共享一个对象,当然因为在不同的位置可能字母&quot;a&quot;有不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPYBvp.html" rel="bookmark">详解Java设计模式编程中的Flyweight享元模式的开发结构&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				享元(Flyweight)模式:通过共享技术以便有效的支持大量细粒度的对象. 享元模式在阎宏的&lt;java与模式&gt;中分为单纯享元模式和复合享元模式,复合模式的复合享元是不可以共享的,享元对象能做到共享的关键是区分内蕴态(Internal State)和外蕴态( External State).这两个&quot;蕴态&quot;翻译的太难懂,我不是说翻译的不好,可能是我理解能力差,还是&lt;Design Pattern Elements of Reusable Object-Oriented S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QQ07p.html" rel="bookmark">总结JavaScript设计模式编程中的享元模式使用&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				享元模式不同于一般的设计模式,它主要用来优化程序的性能,它最适合解决大量类似的对象而产生的性能问题.享元模式通过分析应用程序的对象,将其解析为内在数据和外在数据,减少对象的数量,从而提高应用程序的性能. 基本知识 享元模式通过共享大量的细粒度的对象,减少对象的数量,从而减少对象的内存,提高应用程序的性能.其基本思想就是分解现有类似对象的组成,将其展开为可以共享的内在数据和不可共享的外在数据,我们称内在数据的对象为享元对象.通常还需要一个工厂类来维护内在数据. 在JS中,享元模式主要有下面几个角色			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYND9lp.html" rel="bookmark">学习php设计模式 php实现享元模式&lpar;flyweight&rpar;&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.意图运用共享技术有效的支持大量细粒度的对象 享元模式变化的是对象的存储开销二.享元模式结构图 三.享元模式中主要角色抽象享元(Flyweight)角色:此角色是所有的具体享元类的超类,为这些类规定出需要实现的公共接口.那些需要外蕴状态的操作可以通过调用商业以参数形式传入具体享元(ConcreteFlyweight)角色:实现Flyweight接口,并为内部状态(如果有的话)拉回存储空间.ConcreteFlyweight对象必须是可共享的.它所存储的状态必须是内部的不共享的具体享元(Unsh			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRoAdp.html" rel="bookmark" class="title">VB6中水晶报表&lpar;Crystal Report 4&period;6&rpar;的使用经验</a>
					<div>
						水晶报表 我第一次接触水晶报表是在2001年3月在我的同事尹晓祥同志开始接触水晶报表的. 水晶报表(Crystal Report 4.6)只支持Access97格式的数据库, 所以,先在Access2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr6RxM.html" rel="bookmark" class="title">浅谈Flash站点的四个优化难度</a>
					<div>
						  Flash站点对于优化人员来说应该是最头疼的站点种类之一.虽然谷歌在2008年以来就致力与发展对于flash的索引,并且谷歌也已经宣布他们已经可以索引Flash的文本或内容,甚至是Flash文件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPRnDb.html" rel="bookmark" class="title">C&num;中如何调用C生成DLL文件</a>
					<div>
						环境: VS2010, Win7 1. 添加新项目-&gt;Win32项目 输入名称:CSInvokeCDll 2.应用程序设置中选择DLL然后点击完成 3 在CSharpInvokeCPP.CPP中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91NNgM.html" rel="bookmark" class="title">WPS2007&OpenCurlyDoubleQuote;公式编辑器&rdquo;寻宝记</a>
					<div>
						编辑数理化试卷.写科技论文.技术文档--我们经常需要输入一些专业符号和复杂公 式,不够规范怎么办?让我们在WPS Office 2007三大组件(文字.表格.演示)中的&quot;公式编辑器 &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlROwaz.html" rel="bookmark" class="title">如何在Word 2010中创建指向其他文档的书签超链接</a>
					<div>
						在Word 2010文档中,不仅可以创建指向当前Word文档的书签超链接,还可以 根据需要创建指向其他Word文档的书签超链接,具体操作步骤如下所述: 第1步,打开Word 2010文档窗口,选中需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO3YaM.html" rel="bookmark" class="title">PHP中你应该知道的require&lpar;&rpar;文件包含的正确用法</a>
					<div>
						 以前看一些PHP框架源码的时候,很奇怪在文件包含的时候,会用dirname(__FILE__)来拼凑文件路径,不知道这样做有什么好处,后来终于发现了其中的缘由. 我们来看一个简单的例子: 有a,b, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b242RVp.html" rel="bookmark" class="title">Apache的Directory的配置方法</a>
					<div>
						 使用&lt;Directory&gt;- &lt;/Directory&gt;设置指定目录的访问权限,其中可包含:  Options  AllowOverride  Order  Allow  De ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwNPGp.html" rel="bookmark" class="title">Photoshop打造炫酷的横幅海报</a>
					<div>
						1. 新建一个895×307px的图层,分辨率为300,背景颜色为白色,颜色模式为RGB. 2. 打开人物素材,拖到刚刚新建的图层上面. 3.新建图层,使用钢笔工具圈出图片上半部分,需要带点弧度,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24YJZp.html" rel="bookmark" class="title">20143D WEBGL的运用网页设计的新趋势</a>
					<div>
						  这么多年以来,网页似乎都停留在2D的世界.2012年末开始到整个2013年,涌现出非常多采用CSS 3D变形和Parallax(视觉差,通过鼠标滑动让网页上不同层次的内容以不同的速率位移而形成一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOag33M.html" rel="bookmark" class="title">E430安装XP系统后独立显卡无法启用驱动安装失效</a>
					<div>
						  故障现象: ThinkPad E430.E430C.E530.E531.E431.S431.S531安装Win XP后,系统无法使用独立显卡,在设备管理器中会有未知设备,安装不上. 解决方案: X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYBBZM.html" rel="bookmark" class="title">修改注册表在右键菜单中添加清空文件夹命令</a>
					<div>
						  本文介绍用修改注册表的方法在右键菜单中添加清空文件夹命令.很多时候,你可能需要清空文件夹中的内容,但希望继续保留文件夹中原来的结构,如果逐一打开各个文件夹进行文件删除,确实比较麻烦.其实,我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywVvZz.html" rel="bookmark" class="title">现场直击：中国人的数据库分支AliSQL开放源代码下载 功能新增秒杀场景优化、TokuDB</a>
					<div>
						Mysql之父和Alisql 之父的碰撞 北京时间10月14日消息,阿里云研究员褚霸在云栖大会&lt;开发者技术峰会--开源技术专场&gt;分论坛上,和MySQL之父.Maria DB CTO Mic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Kd2z.html" rel="bookmark" class="title">弱弱地问一下：opencv都可以调用普通的免驱笔记本外接摄像头吗？</a>
					<div>
						问题描述 弱弱地问一下:opencv都可以调用普通的免驱笔记本外接摄像头吗? 如题~直接cvCaptureFromCAM....巴拉巴拉就可以直接调用了吗(想买个笔记本外接摄像头) 解决方案 看看这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwDr7p.html" rel="bookmark" class="title">HBase最佳实践－客户端超时机制</a>
					<div>
						上篇博文结合一起线上问题介绍了HBase客户端基于退避算法的重试机制,并分析得出在某些场景下如果重试策略设置不当会导致长时间的业务阻塞.除了重试机制外,业务童鞋最关心的就是超时机制了.客户端超时设置对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk9qVb.html" rel="bookmark" class="title">【LINQ技术】扩展特性和LINQ操作符</a>
					<div>
						LINQ特有的编程结构 LINQ就像是嵌入到C#中的强类型查询语言,尽管和SQL查询很像,但语法却并不相同,甚至还有截然相反的一面. LINQ是在.NET发展到3.5版的时候被引进的,C#和VB语言都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKnJAz.html" rel="bookmark" class="title">java源码-java实现汉诺塔   求源码解析思路，不要链接</a>
					<div>
						问题描述 java实现汉诺塔 求源码解析思路,不要链接 一共十六个盘子,盘子必须从小到大排列,只能在abc三个塔自由移动,一次只能移动一个!求源码 解决方案 这个要递推,假设开始的时候全部在a塔上,目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRjkjb.html" rel="bookmark" class="title">大连方正宽带呼叫中心系统正式上线</a>
					<div>
						2009年11月,处于对强讯技术稳定性和良好服务的认可,大连方正宽带与强讯科技合作实施呼叫中心项目,实现更直接有效的7*13小时(0411-85828585)方正宽带咨询.业务处理等.目前已经正常运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZmZBz.html" rel="bookmark" class="title">CentOS 6&period;3下给PHP添加mssql扩展模块教程&lowbar;linux shell</a>
					<div>
						如果在LINUX系统上需要使用PHP连接Microsoft SQL Server 2005数据库,我们常见的连接数据库方式是使用ODBC方式连接. FreeTDS为Linux系统提供了TDS协议的开源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmgq9b.html" rel="bookmark" class="title">系统-c&num; Calendar控件显示英文的问题</a>
					<div>
						问题描述 c# Calendar控件显示英文的问题 各位大哥: 我在弄c#Calendar控件,这个控件在我本机上运行起来是中文版本的,但是我更新到正在运行的系统中就变成英文版本的了:怎么样才能使运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq3Bmb.html" rel="bookmark" class="title">云智慧教你如何轻松玩转IT运维</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 通常提到IT运维工作,总是给人一种又累又繁琐的感觉,作为IT运维人员,每天都需要了解核心网络设备和关键应用的运行状态是否正常,并且使用的监控软件种类繁多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M0nQmPz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDExMDUxOTI5MzM0ODk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Wm5WNWFXWmhibWM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M0nQmPz.html" rel="bookmark" class="title">微信公众号开发系列-网页授权获取用户基本信息</a>
					<div>
						OAuth2.0网页授权这个也是在做微信公众平台用到最多的,可以利用授权接口对自己平台内用户进行绑定,实现用户扫描码和微信分享.微信签到.微信商城购物等: 1.高级接口OAuth2.0网页授权设置 a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nYR0z.html" rel="bookmark" class="title">winfrom用treeview添加删除数据时，到底怎么选中节点？</a>
					<div>
						问题描述 RT这是UI界面,可以读取数据库中的数据,但是添加删除都不行.说没选中节点.privatevoidbtnAdd_Click(objectsender,EventArgse){//新建txtN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnDD5M.html" rel="bookmark" class="title">嫁我网投资近千万砸进MSN</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 据多位分析师估算,在近一个月时间里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwNB6M.html" rel="bookmark" class="title">保持网站竞争力 必须从网站内容做起</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 要维持一个网站的竞争力,不仅要利用各种手段吸引客户,在客户来到你网站后你如何提供给用户可持续性的东西,如产品,或者资讯,或者经验文章等.许多网站都是个人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBRrXM.html" rel="bookmark" class="title">java-Unknown column &amp;amp&semi;amp&semi;&num;39&semi;XZMC&amp;amp&semi;amp&semi;&num;39&semi; in &amp;amp&semi;amp&semi;&num;39&semi;field list&amp;amp&semi;amp&semi;&num;39&semi;报错如何解决</a>
					<div>
						问题描述 Unknown column 'XZMC' in 'field list'报错如何解决 &lt;%@ page language=&quot;java&quot; contentType=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL3AnM.html" rel="bookmark" class="title">combo box-easyui  自定义列combobox  怎么把值传给后台</a>
					<div>
						问题描述 easyui 自定义列combobox 怎么把值传给后台 批量添加,点击保存时,得不到combobox的值,可以得到textbox值. 用的acceptChanges,可是得不到combob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn87BZb.html" rel="bookmark" class="title">jquery   easyui中的combobox问题</a>
					<div>
						问题描述 jquery easyui中的combobox问题 使用了jquery easyui中的combobox 之后,select下拉框的默认值变成了&amp;nbsp:而且弄不掉,请问这是什么愿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0R20p.html" rel="bookmark" class="title">理解Golang中的数组（array）、切片（slice）和map&lowbar;Golang</a>
					<div>
						我比较喜欢先给出代码,然后得出结论 数组 复制代码 代码如下: package main import (     &quot;fmt&quot; ) func main() {     arr := ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmXaap.html" rel="bookmark" class="title">lnmp关闭mysql日志保护硬盘空间的方法&lowbar;Mysql</a>
					<div>
						下面先来分享一下,关闭mysql日志的方法 LNMP一键包安装的Mysql默认开启Mysql日志,如果网站对数据库读写较为频繁的话可能会产生大量日志,并占用磁盘空间,还有可能导致VPS的硬盘闲置空间消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q7gRp.html" rel="bookmark" class="title">mysql导入数据库错误&num;1064提示解决方法</a>
					<div>
						当使用SQLyog导出dedecms的数据库为xxx.sql文件时,会报几个错误: 错误1064年在线21 : 您有一个错误在您的SQL句法. 检查手工t帽子对应于您的MySQL服务器版本为正确的句法 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
